<?xml version="1.0" encoding="UTF-8"?>
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="xarc">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>xarc</refname>
    <refpurpose> dessine un arc d'ellipse  </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Séquence d'appel</title>
    <synopsis>xarc(x,y,w,h,a1,a2)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Paramètres</title>
    <variablelist>
      <varlistentry>
        <term>x,y,w,h  </term>
        <listitem>
          <para>4 valeurs réelles définissant un rectangle.
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>a1,a2  </term>
        <listitem>
          <para>valeurs réelles définissant un secteur
</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para><literal>xarc</literal> dessine un arc d'ellipse contenu dans le rectangle 
    <literal>(x,y,w,h)</literal> (point en haut à gauche, largeur, hauteur) et dans le secteur 
    défini par l'angle <literal>alpha1</literal> et l'angle <literal>alpha1+alpha2</literal>. 
    <literal>alpha1</literal> et <literal>alpha2</literal> sont 
    donnés respectivement par <literal>a1/64</literal> degrés et <literal>a2/64</literal> degrés.
    Cette fonction utilise la couleur courant et les coordonnées utilisateur.
  </para>
  </refsection>
  <refsection>
    <title>Exemples</title>
    <programlisting role="example"><![CDATA[ 
// échelle isométrique 
plot2d(0,0,-1,"031"," ",[-2,-2,2,2])
xset("color",3)
xarc(-1,1,2,2,0,90*64)
xarc(-1.5,1.5,3,3,0,360*64)
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>Voir Aussi</title>
    <simplelist type="inline">
      <member>
        <link linkend="xarcs">xarcs</link>
      </member>
      <member>
        <link linkend="xfarc">xfarc</link>
      </member>
      <member>
        <link linkend="xfarcs">xfarcs</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Auteurs</title>
    <para>J.Ph.C.  </para>
  </refsection>
</refentry>
